Changeset 1335 for stable/1.9/Clp


Ignore:
Timestamp:
Feb 6, 2009 10:05:17 PM (11 years ago)
Author:
ladanyi
Message:

externals fixed to point to stables and result of run_autotools

Location:
stable/1.9
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • stable/1.9

    • Property svn:externals
      •  

        old new  
        1 BuildTools    https://projects.coin-or.org/svn/BuildTools/trunk
         1BuildTools    https://projects.coin-or.org/svn/BuildTools/stable/0.5
        22ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.0
        33ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.0
        4 Data/Netlib   https://projects.coin-or.org/svn/Data/stable/1.0/Netlib
        5 Data/Sample   https://projects.coin-or.org/svn/Data/trunk/Sample
        6 CoinUtils     https://projects.coin-or.org/svn/CoinUtils/trunk/CoinUtils
         4Data/Sample   https://projects.coin-or.org/svn/Data/stable/1.0/Sample
         5CoinUtils     https://projects.coin-or.org/svn/CoinUtils/stable/2.4/CoinUtils
  • stable/1.9/Clp/configure

    r1326 r1335  
    35053505ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    35063506
    3507 
    3508 #AC_PROG_CXX sets CXX to g++ if it cannot find a working C++ compiler
    3509 #thus, we test here whether $CXX is actually working
    3510 ac_ext=cc
    3511 ac_cpp='$CXXCPP $CPPFLAGS'
    3512 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    3513 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    3514 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    3515 
    3516 echo "$as_me:$LINENO: checking whether C++ compiler $CXX works" >&5
    3517 echo $ECHO_N "checking whether C++ compiler $CXX works... $ECHO_C" >&6;
    3518 cat >conftest.$ac_ext <<_ACEOF
    3519 /* confdefs.h.  */
    3520 _ACEOF
    3521 cat confdefs.h >>conftest.$ac_ext
    3522 cat >>conftest.$ac_ext <<_ACEOF
    3523 /* end confdefs.h.  */
    3524 
    3525 int
    3526 main ()
    3527 {
    3528 int i=0;
    3529   ;
    3530   return 0;
    3531 }
    3532 _ACEOF
    3533 rm -f conftest.$ac_objext
    3534 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    3535   (eval $ac_compile) 2>conftest.er1
    3536   ac_status=$?
    3537   grep -v '^ *+' conftest.er1 >conftest.err
    3538   rm -f conftest.er1
    3539   cat conftest.err >&5
    3540   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3541   (exit $ac_status); } &&
    3542          { ac_try='test -z "$ac_cxx_werror_flag"
    3543                          || test ! -s conftest.err'
    3544   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3545   (eval $ac_try) 2>&5
    3546   ac_status=$?
    3547   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3548   (exit $ac_status); }; } &&
    3549          { ac_try='test -s conftest.$ac_objext'
    3550   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3551   (eval $ac_try) 2>&5
    3552   ac_status=$?
    3553   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3554   (exit $ac_status); }; }; then
    3555   echo "$as_me:$LINENO: result: yes" >&5
    3556 echo "${ECHO_T}yes" >&6
    3557 else
    3558   echo "$as_me: failed program was:" >&5
    3559 sed 's/^/| /' conftest.$ac_ext >&5
    3560 
    3561 echo "$as_me:$LINENO: result: no" >&5
    3562 echo "${ECHO_T}no" >&6
    3563    { { echo "$as_me:$LINENO: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&5
    3564 echo "$as_me: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&2;}
     3507if test -z "$CXX" ; then
     3508  { { echo "$as_me:$LINENO: error: Failed to find a C++ compiler!" >&5
     3509echo "$as_me: error: Failed to find a C++ compiler!" >&2;}
    35653510   { (exit 1); exit 1; }; }
    3566 
    3567 fi
    3568 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    3569 ac_ext=cc
    3570 ac_cpp='$CXXCPP $CPPFLAGS'
    3571 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    3572 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    3573 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    3574 
     3511fi
    35753512
    35763513# It seems that we need to cleanup something here for the Windows
     
    57795716*-*-irix6*)
    57805717  # Find out which ABI we are using.
    5781   echo '#line 5781 "configure"' > conftest.$ac_ext
     5718  echo '#line 5718 "configure"' > conftest.$ac_ext
    57825719  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    57835720  (eval $ac_compile) 2>&5
     
    69136850
    69146851# Provide some information about the compiler.
    6915 echo "$as_me:6915:" \
     6852echo "$as_me:6852:" \
    69166853     "checking for Fortran 77 compiler version" >&5
    69176854ac_compiler=`set X $ac_compile; echo $2`
     
    79807917   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79817918   -e 's:$: $lt_compiler_flag:'`
    7982    (eval echo "\"\$as_me:7982: $lt_compile\"" >&5)
     7919   (eval echo "\"\$as_me:7919: $lt_compile\"" >&5)
    79837920   (eval "$lt_compile" 2>conftest.err)
    79847921   ac_status=$?
    79857922   cat conftest.err >&5
    7986    echo "$as_me:7986: \$? = $ac_status" >&5
     7923   echo "$as_me:7923: \$? = $ac_status" >&5
    79877924   if (exit $ac_status) && test -s "$ac_outfile"; then
    79887925     # The compiler can only warn and ignore the option if not recognized
     
    82488185   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82498186   -e 's:$: $lt_compiler_flag:'`
    8250    (eval echo "\"\$as_me:8250: $lt_compile\"" >&5)
     8187   (eval echo "\"\$as_me:8187: $lt_compile\"" >&5)
    82518188   (eval "$lt_compile" 2>conftest.err)
    82528189   ac_status=$?
    82538190   cat conftest.err >&5
    8254    echo "$as_me:8254: \$? = $ac_status" >&5
     8191   echo "$as_me:8191: \$? = $ac_status" >&5
    82558192   if (exit $ac_status) && test -s "$ac_outfile"; then
    82568193     # The compiler can only warn and ignore the option if not recognized
     
    83528289   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83538290   -e 's:$: $lt_compiler_flag:'`
    8354    (eval echo "\"\$as_me:8354: $lt_compile\"" >&5)
     8291   (eval echo "\"\$as_me:8291: $lt_compile\"" >&5)
    83558292   (eval "$lt_compile" 2>out/conftest.err)
    83568293   ac_status=$?
    83578294   cat out/conftest.err >&5
    8358    echo "$as_me:8358: \$? = $ac_status" >&5
     8295   echo "$as_me:8295: \$? = $ac_status" >&5
    83598296   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    83608297   then
     
    1069710634  lt_status=$lt_dlunknown
    1069810635  cat > conftest.$ac_ext <<EOF
    10699 #line 10699 "configure"
     10636#line 10636 "configure"
    1070010637#include "confdefs.h"
    1070110638
     
    1079710734  lt_status=$lt_dlunknown
    1079810735  cat > conftest.$ac_ext <<EOF
    10799 #line 10799 "configure"
     10736#line 10736 "configure"
    1080010737#include "confdefs.h"
    1080110738
     
    1314113078   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1314213079   -e 's:$: $lt_compiler_flag:'`
    13143    (eval echo "\"\$as_me:13143: $lt_compile\"" >&5)
     13080   (eval echo "\"\$as_me:13080: $lt_compile\"" >&5)
    1314413081   (eval "$lt_compile" 2>conftest.err)
    1314513082   ac_status=$?
    1314613083   cat conftest.err >&5
    13147    echo "$as_me:13147: \$? = $ac_status" >&5
     13084   echo "$as_me:13084: \$? = $ac_status" >&5
    1314813085   if (exit $ac_status) && test -s "$ac_outfile"; then
    1314913086     # The compiler can only warn and ignore the option if not recognized
     
    1324513182   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1324613183   -e 's:$: $lt_compiler_flag:'`
    13247    (eval echo "\"\$as_me:13247: $lt_compile\"" >&5)
     13184   (eval echo "\"\$as_me:13184: $lt_compile\"" >&5)
    1324813185   (eval "$lt_compile" 2>out/conftest.err)
    1324913186   ac_status=$?
    1325013187   cat out/conftest.err >&5
    13251    echo "$as_me:13251: \$? = $ac_status" >&5
     13188   echo "$as_me:13188: \$? = $ac_status" >&5
    1325213189   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1325313190   then
     
    1481514752   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481614753   -e 's:$: $lt_compiler_flag:'`
    14817    (eval echo "\"\$as_me:14817: $lt_compile\"" >&5)
     14754   (eval echo "\"\$as_me:14754: $lt_compile\"" >&5)
    1481814755   (eval "$lt_compile" 2>conftest.err)
    1481914756   ac_status=$?
    1482014757   cat conftest.err >&5
    14821    echo "$as_me:14821: \$? = $ac_status" >&5
     14758   echo "$as_me:14758: \$? = $ac_status" >&5
    1482214759   if (exit $ac_status) && test -s "$ac_outfile"; then
    1482314760     # The compiler can only warn and ignore the option if not recognized
     
    1491914856   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1492014857   -e 's:$: $lt_compiler_flag:'`
    14921    (eval echo "\"\$as_me:14921: $lt_compile\"" >&5)
     14858   (eval echo "\"\$as_me:14858: $lt_compile\"" >&5)
    1492214859   (eval "$lt_compile" 2>out/conftest.err)
    1492314860   ac_status=$?
    1492414861   cat out/conftest.err >&5
    14925    echo "$as_me:14925: \$? = $ac_status" >&5
     14862   echo "$as_me:14862: \$? = $ac_status" >&5
    1492614863   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1492714864   then
     
    1712617063   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1712717064   -e 's:$: $lt_compiler_flag:'`
    17128    (eval echo "\"\$as_me:17128: $lt_compile\"" >&5)
     17065   (eval echo "\"\$as_me:17065: $lt_compile\"" >&5)
    1712917066   (eval "$lt_compile" 2>conftest.err)
    1713017067   ac_status=$?
    1713117068   cat conftest.err >&5
    17132    echo "$as_me:17132: \$? = $ac_status" >&5
     17069   echo "$as_me:17069: \$? = $ac_status" >&5
    1713317070   if (exit $ac_status) && test -s "$ac_outfile"; then
    1713417071     # The compiler can only warn and ignore the option if not recognized
     
    1739417331   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1739517332   -e 's:$: $lt_compiler_flag:'`
    17396    (eval echo "\"\$as_me:17396: $lt_compile\"" >&5)
     17333   (eval echo "\"\$as_me:17333: $lt_compile\"" >&5)
    1739717334   (eval "$lt_compile" 2>conftest.err)
    1739817335   ac_status=$?
    1739917336   cat conftest.err >&5
    17400    echo "$as_me:17400: \$? = $ac_status" >&5
     17337   echo "$as_me:17337: \$? = $ac_status" >&5
    1740117338   if (exit $ac_status) && test -s "$ac_outfile"; then
    1740217339     # The compiler can only warn and ignore the option if not recognized
     
    1749817435   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1749917436   -e 's:$: $lt_compiler_flag:'`
    17500    (eval echo "\"\$as_me:17500: $lt_compile\"" >&5)
     17437   (eval echo "\"\$as_me:17437: $lt_compile\"" >&5)
    1750117438   (eval "$lt_compile" 2>out/conftest.err)
    1750217439   ac_status=$?
    1750317440   cat out/conftest.err >&5
    17504    echo "$as_me:17504: \$? = $ac_status" >&5
     17441   echo "$as_me:17441: \$? = $ac_status" >&5
    1750517442   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1750617443   then
Note: See TracChangeset for help on using the changeset viewer.